--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Destructively migrates the data-store down, which basically deletes all the models. REPEAT: THIS IS DESTRUCTIVE"
- !ruby/struct:SM::Flow::P 
  body: "@param Symbol repository_name the repository to be migrated"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Migrations::Model#auto_migrate_down!
is_singleton: false
name: auto_migrate_down!
params: (repository_name = self.repository_name)
visibility: public
